PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_Xf

Source Location: /PHPExcel/Writer/Excel5/Xf.php

### Class Overview

PHPExcel_Writer_Excel5_Xf

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_bg_color
- $_bottom_color
- $_fg_color
- $_left_color
- $_numberFormatIndex
- $_right_color
- $_text_justlast
- $_top_color

### Methods

- __construct
- setBgColor
- setBottomColor
- setDiagColor
- setFgColor
- setFontIndex
- setIsStyleXf
- setLeftColor
- setNumberFormatIndex
- setRightColor
- setTopColor
- writeXf

### Class Details

[line 71]
PHPExcel_Writer_Excel5_Xf

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_bg_color =

[line 108]

The cell's background color.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_bottom_color =

[line 114]

Color of the bottom border of the cell.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_fg_color =

[line 102]

The cell's foreground color.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_left_color =

[line 126]

Color of the left border of the cell.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_numberFormatIndex =

[line 90]

An index (2 bytes) to a FORMAT record (number format).

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_right_color =

[line 132]

Color of the right border of the cell.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_text_justlast =

[line 96]

1 bit, apparently not used.

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_top_color =

[line 120]

Color of the top border of the cell.

#### Tags:

access: | public

Type: | integer

[ Top ]

### Class Methods

### constructor __construct [line 140]

`PHPExcel_Writer_Excel5_Xf __construct( [PHPExcel_Style $style = null])`

Constructor

#### Tags:

access: | public

#### Parameters:

PHPExcel_Style | $style | The XF format

[ Top ]

### method setBgColor [line 352]

`void setBgColor( int $colorIndex)`

Sets the cell's background color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setBottomColor [line 285]

`void setBottomColor( int $colorIndex)`

Sets the cell's bottom border color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setDiagColor [line 329]

`void setDiagColor( int $colorIndex)`

Sets the cell's diagonal border color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setFgColor [line 341]

`void setFgColor( int $colorIndex)`

Sets the cell's foreground color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setFontIndex [line 374]

`void setFontIndex( int $value)`

Set the font index.

#### Tags:

access: | public

#### Parameters:

int | $value | Font index, note that value 4 does not exist

[ Top ]

### method setIsStyleXf [line 274]

`void setIsStyleXf( boolean $value)`

Is this a style XF ?

#### Tags:

access: | public

#### Parameters:

boolean | $value |

[ Top ]

### method setLeftColor [line 307]

`void setLeftColor( int $colorIndex)`

Sets the cell's left border color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setNumberFormatIndex [line 364]

`void setNumberFormatIndex( integer $numberFormatIndex)`

Sets the index to the number format record It can be date, time, currency, etc...

#### Tags:

access: | public

#### Parameters:

integer | $numberFormatIndex | Index to format record

[ Top ]

### method setRightColor [line 318]

`void setRightColor( int $colorIndex)`

Sets the cell's right border color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method setTopColor [line 296]

`void setTopColor( int $colorIndex)`

Sets the cell's top border color

#### Tags:

access: | public

#### Parameters:

int | $colorIndex | Color index

[ Top ]

### method writeXf [line 169]

`string writeXf( )`

Generate an Excel BIFF XF record (style or cell).

#### Tags:

return: | The XF record

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:18 +0200 by phpDocumentor 1.4.4